API references
Search documentation... ⌘K
API references
Merchant API

List all roles

Retrieve a list of all roles available in the merchant account. This endpoint returns the roles that can be assigned to users within the merchant account. This includes default roles defined by the system as well as any custom roles created by the merchant.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-roles HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
id
string

The unique identifier of the role.

name
string

The name of the role.

description
string

A brief description of the role's purpose and permissions.

custom
boolean

Indicates whether the role is a custom role created by the merchant or a default system role.

permissions
array

An array of permissions the role gives.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.